Transaction Process API

View as Markdown

Triggers processing of a payment request that was created by the Transak frontend after the user submitted their card payment details. This processes the requestId returned by the fiat-payment service.

Path parameters

requestIdstringRequired

The request ID returned by the fiat-payment service after card tokenisation.

Headers

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

x-user-identifierstringOptional

The authenticated user’s email address.

Note: This is applicable only for Auth Reliance Flows.

authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

Response

Success
dataobject
Order details returned after processing the card transaction session.

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error